package com.link.base.cacheconfig.model;

import com.link.core.basic.model.BasicModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("数据缓存配置")
public class CacheConfig extends BasicModel {
   @ApiModelProperty("rediskey前缀")
   private String preRedisKey;
   @ApiModelProperty("查询条件")
   private String queryCondition;
   @ApiModelProperty("查询字段")
   private String queryField;
   @ApiModelProperty("编码")
   private String code;
   @ApiModelProperty("微服务名称")
   private String micServiceName;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("版本")
   private int version;
   @ApiModelProperty("redis库名称")
   private String redisDbName;

   public int getVersion() {
      return this.version;
   }

   public void setVersion(int version) {
      this.version = version;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getPreRedisKey() {
      return this.preRedisKey;
   }

   public void setPreRedisKey(String preRedisKey) {
      this.preRedisKey = preRedisKey;
   }

   public String getQueryCondition() {
      return this.queryCondition;
   }

   public void setQueryCondition(String queryCondition) {
      this.queryCondition = queryCondition;
   }

   public String getCode() {
      return this.code;
   }

   public void setCode(String code) {
      this.code = code;
   }

   public String getMicServiceName() {
      return this.micServiceName;
   }

   public void setMicServiceName(String micServiceName) {
      this.micServiceName = micServiceName;
   }

   public String getQueryField() {
      return this.queryField;
   }

   public void setQueryField(String queryField) {
      this.queryField = queryField;
   }

   public String getRedisDbName() {
      return this.redisDbName;
   }

   public void setRedisDbName(String redisDbName) {
      this.redisDbName = redisDbName;
   }
}
